AutoCAD顧問
還沒有註冊嗎...即日起免費註冊,所有最完整的AutoCAD討論、教學及資源都在論壇裡喔~
[問題]請問求出曲線的角度 Oo-2-110 [問題]請問求出曲線的角度 Ia15010 [問題]請問求出曲線的角度 Ziao1510 [問題]請問求出曲線的角度 BPl3tjj [問題]請問求出曲線的角度 Uos15010 [問題]請問求出曲線的角度 Uos15011

[問題]請問求出曲線的角度

向下

[問題]請問求出曲線的角度 Empty [問題]請問求出曲線的角度

發表 由 swcforest 于 周二 5 6月 2018 - 12:52


(setq sta1 (getreal "\n輸入起始樁號<0K+???>:"))
(if (null sta1) (setq sta1 30.))

(setq Prm (vlax-curve-getParamAtDist enx sta1))
(setq Pt (vlax-curve-getPointAtParam enx Prm))
(setq Dri (vlax-curve-getFirstDeriv enx Prm))
(setq Ang (+ (* pi 0.5) (angle '(0 0 0) Dri)))

上列四個式子分別代表什麼意思啊
avatar
swcforest
初級會員
初級會員

文章總數 : 113
年齡 : 39
來自 : 台中市南區
職業 : 土木工程設計
愛好 : 遊山玩水及AutoLISP
個性 : 開朗活潑
使用年資 : 六七年了
使用版本 : AutoCAD 2016
積分 : 1
經驗值 : 4235
威望值 : 10
注冊日期 : 2008-07-27
男 天秤座 羊

回頂端 向下

[問題]請問求出曲線的角度 Empty 回復: [問題]請問求出曲線的角度

發表 由 Atsai 于 周四 7 6月 2018 - 20:11

(setq Prm (vlax-curve-getParamAtDist enx sta1)):返回距曲線開始點為指定距離(sta1)的曲線參數。
(setq Pt (vlax-curve-getPointAtParam enx Prm)):返回曲線上具有指定參數值(Para)的點。
(setq Dri (vlax-curve-getFirstDeriv enx Prm)):返回曲線在指定位置的一階導數(在 WCS 中)。
(setq Ang (+ (* pi 0.5) (angle '(0 0 0) Dri))):利用一階導數求角度。

這個是佈平曲線佈樁號的部份代碼吧!
Atsai
Atsai
中級會員
中級會員

文章總數 : 133
年齡 : 44
來自 : 台中
職業 : 工程
愛好 : 看漫畫
個性 : 樂天
使用年資 : 10
使用版本 : 2010
AutoCAD基礎篇等級 : 10星級
積分 : 8
經驗值 : 3632
威望值 : 397
注冊日期 : 2012-04-06
男 金牛座 兔

回頂端 向下

回頂端


 
這個論壇的權限:
無法 在這個版面回復文章
[問題]請問求出曲線的角度 Uos15011 [問題]請問求出曲線的角度 Uos15010 [問題]請問求出曲線的角度 BPl3tjj [問題]請問求出曲線的角度 Ziao1510 [問題]請問求出曲線的角度 Ia15010 [問題]請問求出曲線的角度 Oo-2-110